cURL
curl --request PATCH \ --url https://app.sure.am/api/v1/transactions/{id} \ --header 'Content-Type: application/json' \ --header 'X-Api-Key: <api-key>' \ --data ' { "transaction": { "date": "2023-12-25", "amount": 123, "name": "<string>", "description": "<string>", "notes": "<string>", "currency": "<string>", "category_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "nature": "income", "tag_ids": [ "3c90c3cc-0d44-4b50-8888-8dd25736052a" ] } } '
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "date": "2023-12-25", "amount": "<string>", "currency": "<string>", "name": "<string>", "classification": "<string>", "account": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "account_type": "<string>" }, "tags": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "color": "<string>" } ], "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "notes": "<string>", "category": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "classification": "<string>", "color": "<string>", "icon": "<string>" }, "merchant": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>" }, "transfer": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "amount": "<string>", "currency": "<string>", "other_account": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "account_type": "<string>" } } }
API key for authentication. Generate one from your account settings.
Transaction ID
Show child attributes
transaction updated
Was this page helpful?